Bug 1234975 (CVE-2015-4680) - CVE-2015-4680 freeradius: insufficent CRL application
Summary: CVE-2015-4680 freeradius: insufficent CRL application
Status: CLOSED WONTFIX
Alias: CVE-2015-4680
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150622,repor...
Keywords: Security
Depends On: 1234976
Blocks: 1234978
TreeView+ depends on / blocked
 
Reported: 2015-06-23 15:54 UTC by Vasyl Kaigorodov
Modified: 2016-01-22 12:31 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-09-03 05:20:43 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-06-23 15:54:06 UTC
The FreeRADIUS server relies on OpenSSL to perform certificate validation,
including Certificate Revocation List (CRL) checks. The FreeRADIUS usage of
OpenSSL, in CRL application, limits the checks to leaf certificates,
therefore not detecting revocation of intermediate CA certificates.

An unexpired client certificate, issued by an intermediate CA with a revoked
certificate, is therefore accepted by FreeRADIUS.

Specifically sets the X509_V_FLAG_CRL_CHECK flag for leaf certificate CRL
checks, but does not use X509_V_FLAG_CRL_CHECK_ALL for CRL checks on the
complete trust chain.

The FreeRADIUS project advises that the recommended configuration is to use
self-signed CAs for all EAP-TLS methods.

Upstream fixes:
 - 2.x.x: https://github.com/FreeRADIUS/freeradius-server/commit/5e698b407dcac2bc45cf03484bac4398109d25c3
 - 3.0.x: https://github.com/FreeRADIUS/freeradius-server/commit/874b39451702338389260edbfc52b381b20352ec

External References:

http://freeradius.org/security.html
http://www.ocert.org/advisories/ocert-2015-008.html

Comment 1 Vasyl Kaigorodov 2015-06-23 15:54:28 UTC
Created freeradius tracking bugs for this issue:

Affects: fedora-all [bug 1234976]


Note You need to log in before you can comment on or make changes to this bug.